ComboText = class(Group, function(o, level)
  Group.init(o)
  combo_size = o:add(PhysicsObject(bg:getWidth()/2, bg:getHeight()/2+20, sprites["x"..level..".png"]))
  combo_word = o:add(PhysicsObject(bg:getWidth()/2, bg:getHeight()/2, sprites["combo.png"]))
  combo_word.vel.y = math.randomRange(-5, -8);
  combo_word.rotVel = math.randomRange(-3, 3);
  combo_size.vel.y = combo_word.vel.y+math.randomRange(-0.5, 0.5)
  combo_size.rotVel = combo_word.rotVel+math.randomRange(-0.5, 0.5);
end)

function ComboText:update()
  Group.update(self)
  -- check to see if everything is off the screen, and if so, kill it
  if _.reduce(self.members, true, function(memo, i)
    return bludG.screen_rect:doesPointTouch(i.pos) and memo
  end) ~= true then
    self:kill()
  end
end